# Uses of Class
org.eclipse.mat.collect.HashMapIntObject

Packages that use HashMapIntObject
Package
Description
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.index
Implementations for handling indexes.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).

## Uses of HashMapIntObject in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type HashMapIntObject
Modifier and Type
Method
Description
`void`
IPreliminaryIndex.`setClassesById(HashMapIntObject<ClassImpl> classesById)`
Store the class id to ClassImpl mapping
`void`
IPreliminaryIndex.`setGcRoots(HashMapIntObject<List<XGCRootInfo>> gcRoots)`
store the GC roots information
`void`
IPreliminaryIndex.`setThread2objects2roots(HashMapIntObject<HashMapIntObject<List<XGCRootInfo>>> thread2objects2roots)`
store the thread local variable information
Method parameters in org.eclipse.mat.parser with type arguments of type HashMapIntObject
Modifier and Type
Method
Description
`void`
IPreliminaryIndex.`setThread2objects2roots(HashMapIntObject<HashMapIntObject<List<XGCRootInfo>>> thread2objects2roots)`
store the thread local variable information

## Uses of HashMapIntObject in org.eclipse.mat.parser.index

Methods in org.eclipse.mat.parser.index with parameters of type HashMapIntObject
Modifier and Type
Method
Description
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexStreamer.`writeTo(File indexFile, int size, HashMapIntObject<Object> pages, int pageSize)`
Constructors in org.eclipse.mat.parser.index with parameters of type HashMapIntObject
Modifier
Constructor
Description
``
`LongIndexReader(File indexFile, HashMapIntObject<Object> pages, int size, int pageSize, long[] pageStart)`

## Uses of HashMapIntObject in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return HashMapIntObject
Modifier and Type
Method
Description
`HashMapIntObject<ClassImpl>`
SnapshotImplBuilder.`getClassCache()`
`HashMapIntObject<XGCRootInfo[]>`
SnapshotImplBuilder.`getRoots()`
`HashMapIntObject<HashMapIntObject<XGCRootInfo[]>>`
SnapshotImpl.`getRootsPerThread()`
Gets the roots per thread from the variables on the stack frames.
Methods in org.eclipse.mat.parser.internal that return types with arguments of type HashMapIntObject
Modifier and Type
Method
Description
`HashMapIntObject<HashMapIntObject<XGCRootInfo[]>>`
SnapshotImpl.`getRootsPerThread()`
Gets the roots per thread from the variables on the stack frames.
Methods in org.eclipse.mat.parser.internal with parameters of type HashMapIntObject
Modifier and Type
Method
Description
`static SnapshotImpl`
SnapshotImpl.`create(XSnapshotInfo snapshotInfo, String objectReaderUniqueIdentifier, IObjectReader heapObjectReader, HashMapIntObject<ClassImpl> classCache, HashMapIntObject<XGCRootInfo[]> roots, HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread, BitField arrayObjects, IndexManager indexManager, IProgressListener listener)`
Create the snapshot after a fresh parse.
`void`
SnapshotImplBuilder.`setClassCache(HashMapIntObject<ClassImpl> classCache)`
`void`
SnapshotImplBuilder.`setRoots(HashMapIntObject<XGCRootInfo[]> roots)`
`void`
SnapshotImplBuilder.`setRootsPerThread(HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread)`
Method parameters in org.eclipse.mat.parser.internal with type arguments of type HashMapIntObject
Modifier and Type
Method
Description
`void`
SnapshotImplBuilder.`setRootsPerThread(HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread)`